# -- coding: utf-8 --
"""Script usado para calcular a inclinação das retas de aproximação de cada uma
das séries temporais extraídas.
"""

import matplotlib.pyplot as plt
import numpy as np

from settings import *

f = open(CALC_OUTPUT_FILE, 'r')

alphas = []
for l in f:
    alpha = float(l)
    if alpha < 0.001 and alpha > -0.001:
        alphas.append(alpha)



# Draw graphic of sorted alphas
x = range(len(alphas))
y = alphas
y = sorted(y)
x = np.array(x)
y = np.array(y)

plt.plot(x, y, '.')
plt.show()