import numpy as np
import matplotlib.pyplot as plt
from matplotlib.dates import drange

from datetime import date, timedelta

one_day = timedelta(days=1)
start = date(2011, 8, 24)
end = date(2011, 8, 30)

xdatas = drange(start, end, one_day)

x = np.array([0.0, 1.0, 2.0, 3.0,  4.0,  5.0])
y = np.array([0.0, 0.8, 0.9, 0.1, -0.8, -1.0])
z = np.polyfit(x, y, 1)
p = np.poly1d(z)

#xp = np.linspace(-2, 6, 100)
#plt.plot(x, y, '.', xp, p(xp), '-')

print xdatas
print y

plt.plot_date(xdatas, y, fmt='bo', xdate=True, ydate=False)
plt.plot_date(x, y, fmt='-', xdate=True, ydate=False)
plt.show()
